Jobs

List Jobs

Gets a list of jobs.

GET
/jobs.list

Gets a list of jobs.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

category?array<job-category>

Filters on job category.

created_by?array<string>

Filters for jobs created by the specified user(s).

cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
limit?integer

The maximum number of jobs to return per page. The default is '50'.

Formatint32
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"
owned_by_id?array<string>

Filters on the user who owns the job.

parent_ids?array<string>

Filters on parent ids for jobs.

sort_by?array<string>

Fields to sort the jobs by and the direction to sort them in.

state?array<job-state>

Filters on job state.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/jobs.list"
{
  "jobs": [
    {
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0,
      "job_category": "bulk_upgrade",
      "job_id": "string",
      "metadata_list": [
        {
          "type": "bool",
          "key": "string",
          "value": "string"
        }
      ],
      "output_artifacts": [
        {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        }
      ],
      "progress": 0,
      "retry_count": 0,
      "state": "completed",
      "title": "string"
    }
  ],
  "next_cursor": "string",
  "prev_cursor": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "not_found"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}